Bug 99227 - Dynamically added elements do not get re-projected.
Summary: Dynamically added elements do not get re-projected.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Shinya Kawanaka
URL:
Keywords: HasReduction
Depends on:
Blocks: 96986
  Show dependency treegraph
 
Reported: 2012-10-12 18:05 PDT by Steve Orvell
Modified: 2012-10-17 10:07 PDT (History)
5 users (show)

See Also:


Attachments
Reduction which can show failure of dynamic reprojection. (642 bytes, text/html)
2012-10-12 18:05 PDT, Steve Orvell
no flags Details
Patch (3.96 KB, patch)
2012-10-17 05:37 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Orvell 2012-10-12 18:05:58 PDT
Created attachment 168521 [details]
Reduction which can show failure of dynamic reprojection.

If a host has shadowRoot A with a nested shadowRoot B that includes an insertion point in its light dom, if elements are added to the host dynamically, these elements are not projected as expected into B. It's unclear if they are projecting at all as they do not render.
Comment 1 Shinya Kawanaka 2012-10-16 23:25:46 PDT
I'll take a look
Comment 2 Shinya Kawanaka 2012-10-17 05:37:29 PDT
Created attachment 169166 [details]
Patch
Comment 3 WebKit Review Bot 2012-10-17 10:07:43 PDT
Comment on attachment 169166 [details]
Patch

Clearing flags on attachment: 169166

Committed r131615: <http://trac.webkit.org/changeset/131615>
Comment 4 WebKit Review Bot 2012-10-17 10:07:46 PDT
All reviewed patches have been landed.  Closing bug.